# AIEventCompanyInTrouble Class Reference

Event Company In Trouble, indicating a company is in trouble and might go bankrupt soon. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventCompanyInTrouble:

## Public Member Functions
| AIEventCompanyInTrouble (Owner owner)
AICompany::CompanyID | GetCompanyID ()
| Get the CompanyID of the company that is in trouble.
## Static Public Member Functions
static const char * | GetClassName ()
static AIEventCompanyInTrouble * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
AICompany::CompanyID | owner

## Detailed Description

Event Company In Trouble, indicating a company is in trouble and might go bankrupt soon.

Definition at line 332 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventCompanyInTrouble::AIEventCompanyInTrouble | ( | Owner | owner | ) | `[inline]`

Parameters:

  | owner | The company that is in trouble.

Definition at line 339 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventCompanyInTrouble* AIEventCompanyInTrouble::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 349 of file ai_event_types.hpp.

AICompany::CompanyID AIEventCompanyInTrouble::GetCompanyID | ( |  | ) | `[inline]`

Get the CompanyID of the company that is in trouble.

Returns:
  The CompanyID of the company in trouble.

Definition at line 355 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp